Bug 443465 - FEAT: Match the new db schema of bz3.0 [#4 TABLE flags]
FEAT: Match the new db schema of bz3.0 [#4 TABLE flags]
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: XINSUN
Yu Shao
:
Depends On:
Blocks: hwcert->BZ3_tracker
  Show dependency treegraph
 
Reported: 2008-04-21 13:54 EDT by XINSUN
Modified: 2008-08-04 13:56 EDT (History)
10 users (show)

See Also:
Fixed In Version: 3.2rh-20080801.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-04 13:56:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The patch to fix the "remove field flags.isactive" (7.72 KB, patch)
2008-04-22 22:29 EDT, XINSUN
no flags Details | Diff
Patch Improve: (8.14 KB, patch)
2008-04-25 09:30 EDT, XINSUN
no flags Details | Diff

  None (edit)
Description XINSUN 2008-04-21 13:54:37 EDT
4.   Relate to TABLE flags need to change list below:
      4.1 Delete  the field is_active from table flags.
                 Added :        N/A
                 Removed:       FIELD  flags.is_active
Comment 1 XINSUN 2008-04-22 22:29:31 EDT
Created attachment 303414 [details]
The patch to fix the "remove field flags.isactive"
Comment 2 Rob Landry 2008-04-23 13:41:14 EDT
What function did is_active have, and is it reproduced someplace else now?

@@ -408,7 +406,6 @@ technically the previous line has a "," which shouldn't be
there.
Comment 3 David Lawrence 2008-04-23 14:24:48 EDT
In the old days, a flag was set to is_active = 0 instead of being deleted. Now
in 3.2 they are just deleted.
Comment 4 Rob Landry 2008-04-23 14:50:16 EDT
So is_active is already a dead field?
Comment 5 David Lawrence 2008-04-23 15:00:42 EDT
(In reply to comment #4)
> So is_active is already a dead field?

Yes. for 3.2 anyway.
Comment 6 XINSUN 2008-04-25 09:30:17 EDT
Created attachment 303781 [details]
Patch Improve:

1. Correct the place (@408) which Rob figured out.
2. Add the changes into the clear($flag->{'id'}) : "DELETE FROM flags WHERE id
= $id"

Please Review.
Nicho
Comment 7 Noura El hawary 2008-04-28 00:48:23 EDT
Hi Nicho,,

in your patch in Bugzilla/Flag.pm , the section:
@@ -408,7 +406,6 @@
                                requestee_id = NULL , 
                                status = '$status' , 
                                modification_date = $timestamp ,
-                               is_active = 1
                         WHERE  id = $flag->{'id'}");
             
             # Send an email notifying the relevant parties about the fulfillment.
@@ -433,7 +430,6 @@
                                requestee_id = $requestee_id , 
                                status = '$status' , 
                                modification_date = $timestamp ,
-                               is_active = 1
                         WHERE  id = $flag->{'id'}");


Please remove the ',' comma after $timestamp variable, I think it might caze
syntax error in mysql.

----------------------------------------

also other places that might need removing of flags.is_active are:

./Bugzilla/FlagType.pm:273:        AND flags.is_active = 1
./Bugzilla/FlagType.pm:284:        AND flags.is_active = 1


Cheers,
Noura
Comment 8 XINSUN 2008-04-29 06:35:06 EDT
Created attachment 304096 [details]
Patch improve:

1. remove the ",". 
2. remove
./Bugzilla/FlagType.pm:273:	   AND flags.is_active = 1
./Bugzilla/FlagType.pm:284:	   AND flags.is_active = 1

please review
Nicho
Comment 9 Noura El hawary 2008-04-30 21:56:22 EDT
Patch looks good to me nicho.

Thanks,
Noura
Comment 10 Rob Landry 2008-07-17 17:03:04 EDT
Please commit this change to CVS and set the status to MODIFIED.
Comment 11 eric_liu 2008-08-01 07:30:21 EDT
tested and run good 

Note You need to log in before you can comment on or make changes to this bug.